tool
extends Polygon2D

export var LineColor = Color(1,0,1,1);
export var LineWidth = 4.0;
export var Vectors = PoolVector2Array()
# Declare member variables here. Examples:
# var a = 2
# var b = "text"

# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.

func _draw():
	var poolvector = get_polygon();
	if ( len(poolvector) > 1) :
		poolvector.append(poolvector[0]);
		poolvector.append(poolvector[1]);
		draw_polyline(poolvector, LineColor, LineWidth, true);
	#pass
